<template lang="">
    <div class="main">
        <ErrorPage :error_message="errors"/>

        <loading v-model:active="isLoading"
                 :can-cancel="true"
                 :is-full-page="fullPage"/>

        <br>
        <input type="text" v-model="gdrive_link" placeholder="Paste Gdrive Folder Id"><br>

        <br>
        <input type="text" v-model="zip_name" placeholder="Enter Gdrive Folder Name"><br>


       

        <br><br>
        <div class="form-group">
        <label>Convert From:</label>
        <select name="takenfrom" v-model="convert_from">Convert To
        <option value="jpeg">JPEG</option>
        <option value="png">PNG</option>
        <option value="heic">HEIC</option>
        </select>

        <br><br>
        <label>Convert To:</label>
        <select name="format" v-model="convert_to">Convert To
        <option value="jpeg">JPEG</option>
        <option value="png">PNG</option>
        <option value="heic">HEIC</option>
        </select>
        </div><br><br>
        <button v-on:click="postMethod()" class="btn btn-info">Submit</button>

    </div>
</template>
<script>
import axios from 'axios'
import ErrorPage from './error.vue'
import Loading from 'vue-loading-overlay';
import 'vue-loading-overlay/dist/css/index.css';


export default {
    name:'GtoG',
    components:{
        'ErrorPage':ErrorPage,
        Loading,
    },
    data(){
        return {
            convert_to:null,
            convert_from:null,
            gdrive_link:null,
            zip_name:null,
            errors:[],
            isLoading:false,
            fullPage:true,
        }
    },
    methods: {
        validation_data(){
            this.errors = []
            if(!this.gdrive_link){
                this.errors.push('Gdrive link Required')
            }
            if(!this.convert_to){
                this.errors.push("Convert To Require")
            }
            if(!this.convert_from){
                this.errors.push("Convert From Require")
            }
            if(!this.zip_name){
                this.errors.push("Folder Name Require")
            }
            if(this.gdrive_link && this.convert_to && this.convert_from && this.zip_name){
                return true
            }   

            return false

        },

        postMethod(){

            console.log(this.validation_data())

            if(this.validation_data() == false){
                return false
            }else{
                console.log("hhhhhhhhhhhhhhhhhhh")
            this.isLoading=true
            const formData = new FormData()
            formData.append("convert_to",this.convert_to)
            formData.append("convert_from",this.convert_from)
            formData.append("folder_name",this.zip_name)
            formData.append("link",this.gdrive_link)


            axios.post("https://image-convertor-backend.herokuapp.com/gdrivetolocal_api/",formData).then((response)=>{
                console.log(response)
                this.convert_to=null
                this.convert_from=null
                this.gdrive_link=null
                this.zip_name=null
                this.isLoading=false
            }).catch((e)=>{
                console.log(e)
            })
        }

        },
        
    },
}
</script>
<style lang="">
    
</style>